﻿using System;
using System.Collections.Generic;
using HeuristicLab.Problems.Instances;
using HeuristicLab.Problems.Instances.DataAnalysis;

namespace HeuristicLab.Algorithms.DataAnalysis.SymRegGrammarEnumeration.ProblemInstances {
  class PhysicsInstanceProvider : ArtificialRegressionInstanceProvider {
    public override IEnumerable<IDataDescriptor> GetDataDescriptors() {
      return new List<IDataDescriptor>()
      {
         new RocketFuelFlow(123),
         new AircraftLift(456),
         new FluidDynamics(789),
         new AircraftMaximumLift(321)
      };
    }

    public override string Name { get { return "Physics Benchmark Problems"; } }
    public override string Description { get { return ""; } }
    public override Uri WebLink { get { return new Uri(@"https://arxiv.org/pdf/1706.02281.pdf"); } }
    public override string ReferencePublication { get { return "Chen et al., 2017 \"A multilevel block search algorithm for fast modeling generalized separable systems.\" arXiv preprint arXiv:1706.02281"; } }
  }
}
